supportingTransactions {arules} | R Documentation

## Supporting Transactions

### Description

Find transactions which support each of a set of associations and return this information as a transaction ID list.

### Usage

    supportingTransactions(x, transactions, ...)

### Arguments

`x` | a set of associations (itemsets, rules, etc.)
`transactions` | an object of class `transactions` used to mine the associations in `x`.
`...` | currently unused.

### Details

The supporting transactions are all transactions of which the itemset representing the association is a subset of.

### Value

An object of class `tidLists` containing one transaction ID list per association in `x`.

### Author(s)

Michael Hahsler

### See Also

`tidLists-class`

### Examples

    data <- list(
    	c("a","b","c"),
    	c("a","b"),
    	c("a","b","d"),
    	c("b","e"),
    	c("b","c","e"),
    	c("a","d","e"),
    	c("a","c"),
    	c("a","b","d"),
    	c("c","e"),
    	c("a","b","d","e")
    	)
    data <- as(data, "transactions")

    ## mine itemsets
    f <- eclat(data, parameter = list(support = .2, minlen=3))
    inspect(f)

    ## find supporting Transactions
    st <- supportingTransactions(f, data)
    st

    as(st, "list")

[Package arules version 1.6-3 Index]